<template>
  <v-row>
    <v-col cols="4">
      <v-subheader>{{ fieldName }}&nbsp
        <h3 v-if="obligatory" class="primary--text">*</h3>
        <h3 v-else> (opcional)</h3>
        :</v-subheader>
    </v-col>
    <v-col cols="7">
      <v-tooltip v-model="tooltip.show" top :color="tooltip.color">
        <template v-slot:activator="{ on, attrs }">
          <v-text-field
            ref="inputVal"
            v-model="inputVal"
            label="Ingrese Correo"
            single-line
            outlined
            :disabled="disabled"
            :rules="validation"
            hide-details="auto"/>
        </template>
        <!---
        <span :style="spanStyle">{{tooltip.text}}</span>--->
      </v-tooltip>
    </v-col>
  </v-row>
</template>

<script>
import axios from "axios";

export default {
    name: 'EmailField',
    props: {
    'value': { default: '', type: String },
    'fieldName': { default: '', type: String },
    'validation': { type: Array },
    'disabled': { default: false, type: Boolean},
    'obligatory': {default: true, type: Boolean}
  },
    data: () => ({
        tooltip:{
            show:false,
            text:'',
            color:'',
            textColor:''
        },
        spanStyle:{
            color:"white",
        }
    }),

  computed: {
    inputVal: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },/*
  methods:{
      validateMessage(inputVal){
          this.getEmailValidation(inputVal);
      },
      async getEmailValidation(inputVal){
        console.log(inputVal);
        let url = "https://emailverification.whoisxmlapi.com/api/v1?"+
        "apiKey=at_oy44pkfXWfR8e463KveYErl2qq1aL&emailAddress=" + inputVal;
        const res = await axios.get(url);
        this.showTooltipInformation(res.data);
      },
      showTooltipInformation(data){
          console.log(data);
          if (data.smtpCheck === "false"){
              this.tooltip.color="#FBE6E1";
              this.spanStyle.color="#DD2C00";
              this.tooltip.text = "SUGERENCIA: Revisar el correo ingresado.";
          }else{
              this.tooltip.color="#1ECD96";
              this.spanStyle.color="white";
              this.tooltip.text = "CORREO VALIDO.";
          }
          this.tooltip.show= true;
      }
  }*/
}
</script>
